%define module  icalendar

Name:           python-%{module}
Version:        5.0.4
Release:        %mkrel 1
Summary:        Parser/generator of iCalendar files following the RFC 2445
Group:          Development/Python
License:        BSD
URL:            https://github.com/collective/icalendar
Source0:        https://pypi.io/packages/source/i/icalendar/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
iCalendar specification (RFC 2445) defines calendaring format used
by many applications (Zimbra, Thunderbird and others). This
module is a parser/generator of iCalendar files for use with
Python. It follows the RFC 2445 (iCalendar) specification.
The aim is to make a package that is fully compliant with RFC 2445,
well designed, simple to use and well documented.

#------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Parser/generator of iCalendar files following the RFC 2445 for Python 3
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytz)
BuildRequires:  python3dist(python-dateutil)

%description -n python3-%{module}
iCalendar specification (RFC 2445) defines calendaring format used
by many applications (Zimbra, Thunderbird and others). This
module is a parser/generator of iCalendar files for use with
Python 3. It follows the RFC 2445 (iCalendar) specification.
The aim is to make a package that is fully compliant with RFC 2445,
well designed, simple to use and well documented.

#------------------------------------------------------------------
%prep
%autosetup -n %{module}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files icalendar

%check
#%%{__python3} %%py_setup test


%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst CHANGES.rst docs
%license LICENSE.rst
%{_bindir}/icalendar


%changelog
* Fri Jan 06 2023 daviddavid <daviddavid> 5.0.4-1.mga9
+ Revision: 1930516
- new version: 5.0.4

* Wed Nov 30 2022 daviddavid <daviddavid> 5.0.3-1.mga9
+ Revision: 1913451
- new version: 5.0.3

* Sun Nov 27 2022 daviddavid <daviddavid> 5.0.2-1.mga9
+ Revision: 1911989
- new version: 5.0.2

* Wed Sep 07 2022 neoclust <neoclust> 4.0.9-1.mga9
+ Revision: 1884881
- New version  4.0.9

* Fri Mar 25 2022 umeabot <umeabot> 4.0.7-4.mga9
+ Revision: 1825611
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 4.0.7-3.mga9
+ Revision: 1778489
- Rebuild for python-3.10

* Thu Mar 18 2021 neoclust <neoclust> 4.0.7-2.mga9
+ Revision: 1704426
- Rebuild against python 3.9

* Fri Sep 11 2020 daviddavid <daviddavid> 4.0.7-1.mga8
+ Revision: 1624667
- new version: 4.0.7

* Sat May 09 2020 daviddavid <daviddavid> 4.0.6-1.mga8
+ Revision: 1581911
- new version: 4.0.6

* Sat Mar 28 2020 daviddavid <daviddavid> 4.0.5-1.mga8
+ Revision: 1561332
- new version: 4.0.5

* Tue Feb 18 2020 umeabot <umeabot> 4.0.4-2.mga8
+ Revision: 1538840
- Mageia 8 Mass Rebuild

* Wed Nov 27 2019 daviddavid <daviddavid> 4.0.4-1.mga8
+ Revision: 1463169
- new version: 4.0.4

* Sun Sep 15 2019 daviddavid <daviddavid> 4.0.3-3.mga8
+ Revision: 1441016
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 4.0.3-2.mga7
+ Revision: 1351684
- rebuild with python 3.7

* Thu Oct 11 2018 daviddavid <daviddavid> 4.0.3-1.mga7
+ Revision: 1319640
- new version: 4.0.3

* Thu Sep 20 2018 umeabot <umeabot> 4.0.1-2.mga7
+ Revision: 1288971
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 daviddavid <daviddavid> 4.0.1-1.mga7
+ Revision: 1212289
- new version: 4.0.1

* Sat Dec 30 2017 daviddavid <daviddavid> 4.0.0-1.mga7
+ Revision: 1187549
- new version: 4.0.0
- rename python-icalendar to python2-icalendar

* Sat Aug 05 2017 pterjan <pterjan> 3.9.2-3.mga7
+ Revision: 1135455
- Rebuild for python 3.6

* Thu Apr 28 2016 tv <tv> 3.9.2-2.mga6
+ Revision: 1007124
- use new python macros

* Mon Feb 08 2016 daviddavid <daviddavid> 3.9.2-1.mga6
+ Revision: 943886
- new version: 3.9.2

* Wed Oct 07 2015 daviddavid <daviddavid> 3.9.1-2.mga6
+ Revision: 886831
- rebuild for python 3.5

* Wed Sep 09 2015 daviddavid <daviddavid> 3.9.1-1.mga6
+ Revision: 874790
- new version: 3.9.1
- use new python macros
- introduce license macro

* Sun Jun 21 2015 daviddavid <daviddavid> 3.9.0-1.mga6
+ Revision: 837984
- new version: 3.9.0
- add more docs

* Wed Oct 15 2014 umeabot <umeabot> 3.8.3-4.mga5
+ Revision: 747982
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.8.3-3.mga5
+ Revision: 728737
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.8.3-2.mga5
+ Revision: 688084
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 daviddavid <daviddavid> 3.8.3-1.mga5
+ Revision: 669064
- new version: 3.8.3

* Sat Aug 23 2014 daviddavid <daviddavid> 3.8.2-1.mga5
+ Revision: 666668
- update Url
- provide python3 subpackage
- new version: 3.8.2
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.5-3.mga4
+ Revision: 543423
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.5-2.mga4
+ Revision: 498721
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 29 2013 nmartin <nmartin> 3.5-1.mga4
+ Revision: 489341
- update to new version 3.5

* Sat Jun 08 2013 spuhler <spuhler> 3.4-1.mga4
+ Revision: 440380
- upgrade to ver 2.4
- removed the changelog section
- added BuildRequires and Reqires: python-dateutil

* Fri Feb 08 2013 spuhler <spuhler> 3.2-3.mga3
+ Revision: 395286
- replaced BuildRequires: python-distribute with python-setuptools

* Sun Jan 13 2013 umeabot <umeabot> 3.2-2.mga3
+ Revision: 378978
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 spuhler <spuhler> 3.2-1.mga3
+ Revision: 339671
- initial build
- imported package python-icalendar


* Sat Sep  8 2012 os-dev@jacraig.com
- Update to 3.1:
  * Make sure parameters to certain properties propagate to the ical output.
  * Re-include doctests.
  * endure correct datatype at instance creation time in ``prop.vCalAddress``
    and ``prop.vText``.
  * Apply TZID parameter to datetimes parsed from RECURRENCE-ID
  * Localize datetimes for timezones to avoid DST transition errors.
  * Allow UTC-OFFSET property value data types in seconds, which follows
    RFC5545 specification.
  * Remove utctz and normalized_timezone methods to simplify the codebase. The
    methods were too tiny to be useful and just used at one place.
  * When using Component.add() to add icalendar properties, force a value
    conversion to UTC for CREATED, DTSTART and LAST-MODIFIED. The RFC expects
    UTC for those properties.
  * Removed last occurrences of old API (from_string).
  * Add 'recursive' argument to property_items() to switch recursive listing.
    For example when parsing a text/calendar text including multiple
    components (e.g. a VCALENDAR with 5 VEVENTs), the previous situation
    required us to look over all properties in VEVENTs even if we just want
    the properties under the VCALENDAR component (VERSION, PRODID, CALSCALE,
    METHOD).
  * All unit tests fixed.
- Remove Sphinx dependency since HTML docs aren't generated anymore.
- Don't rm .swp files anymore, they were removed upstream.
* Tue Jun 26 2012 toddrme2178@gmail.com
- Fix building on SLE 11
- updated license to BSD-2-Clause
- Note 1: The fork has taken over maintainership and is now the
  official version
- Note 2: The previous package was a git version from what was the
  fork.  The git tarball had version number 3.0, but for
  completeness this changes entry includes changes since the last
  official release, 2.2
- Update to 3.0.1b2
  * For all TZID parameters in DATE-TIME properties, use timezone
    identifiers (e.g. Europe/Vienna) instead of timezone names
    (e.g. CET), as required by RFC5545. Timezone names are used
    together with timezone identifiers in the Timezone components
  * Timezone parsing, issues and test fixes.
  * Since we use pytz for timezones, also use UTC tzinfo object
    from the pytz  library instead of own implementation.
- Update to 3.0.1b1
  * Update Release information.
- Update to 3.0
  * Add API for proper Timezone support. Allow creating ical
    DATE-TIME strings with timezone information from Python
    datetimes with pytz based timezone information and vice versa
  * Unify API to only use to_ical and from_ical and remove string
    casting as a requirement for Python 3 compatibility:
  * New: to_ical.
  * Old: ical, string, as_string and string casting via __str__
    and str.
  * New: from_ical.
  * Old: from_string.
* Thu Dec 15 2011 coolo@suse.com
- fix license to be in spdx.org format
* Thu Sep 22 2011 Sascha.Manns@open-slx.de
- fixed license issue
- closed bug bnx#714664
* Sun Aug 28 2011 Sascha.Manns@open-slx.de
- fixed fdupes issue
* Sun Aug 28 2011 Sascha.Manns@open-slx.de
- updated Ownership
- removed rpmlintrc
* Sun Aug 28 2011 hpj@urpla.net
- updated to forked version 2.2
* Fri Dec 24 2010 saigkill@opensuse.org
- removed BuildArch: noarch
* Mon Dec 14 2009 saigkill@opensuse.org
- updated to Version 2.1
* Sun Aug  9 2009 saigkill@opensuse.org
- fixed some little Errors with the lib path
* Sat Apr 18 2009 saigkill@opensuse.org
- removed %%%%buildroot duplicate
* Sat Apr 18 2009 saigkill@opensuse.org
- uses %%%%optflags, %%%%py_requires and
  Sourcepackage (from remote to local)
* Sat Mar 14 2009 saigkill@opensuse.org
- added rpmlintrc
* Thu Jan  8 2009 saigkill@opensuse.org -
- updated Specfile & Makros
* Fri Jan  2 2009 saigkill@opensuse.org 
- python Version 1.2 for openSUSE_11.0
* Thu Jan  1 2009 saigkill@opensuse.org 
- builded initial version iCalendar from SVN Version
